After effects compatibility issues

hi,
I just bought an AE asset for “Glitch titling effects” and when I open it with my last updated AE software, it opens 6 errors straight at the start. When I render it without editing just a render of the original file, I have 8 errors. I can’t contact anyone to have help. It looks like the files were created with a very old version of AE. Is there anyone for help?

Here is the file:
[Lot de 70 Préréglages d’animation de titre de Glitch | Glitch Text Maker]